@ECHO OFF
REM Copyright (c) Verax Systems.  All Rights Reserved.

set CONF=%SYSTEMROOT%\etc\verax.d\simulator.conf

set VS_SIMULATOR_HOME=
set VS_SERVER_PORT=
set VS_PRIMARY_INTERFACE=
set VS_SIMULATOR_CONFIG_FILE=
set VS_JRE_HOME=

set SIMULATOR_JAR=snmp-simulator-server.jar
set SIMULATOR_RMI_CLIENT_JAR=snmp-simulator-rmi-client.jar


for /f "usebackq eol=# tokens=1,2 delims==" %%a in (%CONF%) do (
	set VS_%%a=%%~b
)

set RUNCMD=

if not "%VS_SERVER_PORT%"=="" set RUNCMD=%RUNCMD% -p %VS_SERVER_PORT%
if not "%VS_PRIMARY_INTERFACE%"=="" set RUNCMD=%RUNCMD% -d %VS_PRIMARY_INTERFACE%
if not "%VS_SIMULATOR_CONFIG_FILE%"=="" set RUNCMD=%RUNCMD% -f "%VS_SIMULATOR_CONFIG_FILE%"


IF NOT "%1"=="" ( GOTO LAB_%1 )
GOTO LAB_MENU


:LAB_START
	CD /d %VS_SIMULATOR_HOME%
	if NOT EXIST conf MKDIR conf
	ECHO Verax Systems SNMP Simulator Copyright (c) Verax Systems. All rights reserved.
	
	@START /MIN %VS_JRE_HOME%JAVA -jar jar\%SIMULATOR_JAR% %RUNCMD%

	ECHO Simulator started successfully.
	
	CD /d %~dp0
    GOTO END

:LAB_STOP

	set PORT=43500
    if not "%VS_SERVER_PORT%"=="" set RUNCMD=%VS_SERVER_PORT%

	CD /d %VS_SIMULATOR_HOME%
	%VS_JRE_HOME%JAVA -jar jar\%SIMULATOR_RMI_CLIENT_JAR% -c END -p %PORT%
	
    GOTO END

:LAB_CONSOLE
	CD /d %VS_SIMULATOR_HOME%
	echo CONSOLE START
	%VS_JRE_HOME%JAVA -jar jar\%SIMULATOR_RMI_CLIENT_JAR%

	CD /d %~dp0
    GOTO END

:LAB_STATUS

	set PORT=43500
    if not "%VS_SERVER_PORT%"=="" set RUNCMD=%VS_SERVER_PORT%	
	
    %VS_JRE_HOME%JAVA -jar jar\%SIMULATOR_RMI_CLIENT_JAR% -s -p %PORT%
	
    GOTO END

:LAB_MENU

	echo What would you like to do?
	echo 1 Start Simulator
	echo 2 Stop Simulator
	echo 3 Connect console to simulator
	echo 4 Show status
	echo 5 Quit

	set /P C=[1,2,3,4,5]?
	if "%C%"=="5" goto END_NOW
	if "%C%"=="4" goto LAB_STATUS
	if "%C%"=="3" goto LAB_CONSOLE
	if "%C%"=="2" goto LAB_STOP
	if "%C%"=="1" goto LAB_START
	
	ECHO Wrong choice!
	GOTO LAB_MENU


:END
	goto LAB_MENU	
:END_NOW